commit:     a4ef8f93a0e9425a05edbb77017e3b480d2c5e8b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 28 05:49:29 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Sep 28 06:20:43 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a4ef8f93

dev-libs/libgit2: Bump to 1.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-libs/libgit2/Manifest             |  1 +
 dev-libs/libgit2/libgit2-1.3.0.ebuild | 72 +++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/dev-libs/libgit2/Manifest b/dev-libs/libgit2/Manifest
index e1f816298c8..153c0cf03a5 100644
--- a/dev-libs/libgit2/Manifest
+++ b/dev-libs/libgit2/Manifest
@@ -1,2 +1,3 @@
 DIST libgit2-1.1.1.tar.gz 5451203 BLAKE2B 
46842ea270fc457d0960c1a825928eb2747b236e689ff785e9fc2bce919744d1da95a89e6fcf928bbe6a4981e2ff6a02989df92026ba181f2743e949982a18df
 SHA512 
287255c81e5baa04d8fbce95efca8174cb34da8025cab979445d41e8361955f1d8c582d7705666ae9fc03c5215fc4f4f57e51d73d14ca9b063ed94077f88e6bc
 DIST libgit2-1.2.0.tar.gz 5589147 BLAKE2B 
b612e3a30b4675431879792132adee22cce57986b4f307507b896d823329f7e37514d9008e008075c395a4eca26aaf6ed6eb3943cf97370a0b04086240a5e1fc
 SHA512 
428188de153fdf8ff5bf78949f4a3a89fba57b87a8b641f92fed501df6a8cfdb72e0ffe0bf61a98adf210a2867134eb4421ea4b8d8219331aabc3daddd92f5fc
+DIST libgit2-1.3.0.tar.gz 5599575 BLAKE2B 
b701c105bb0a5bdcdd5ed1db180662ad4949c540944664d5d8c2f5d78998f15d15bd3669ae3e3d43bfa1b81207c0a94b7e49fc76e57f4cc8ef791ab26e62fc70
 SHA512 
842a648a67ff23ba9e6bf14b706ba9081164866e14000ebf3858442b7046925f05e1dbf00a7d740dc4bf32280e260730e23a9492e817094aa90736ae335ee76e

diff --git a/dev-libs/libgit2/libgit2-1.3.0.ebuild 
b/dev-libs/libgit2/libgit2-1.3.0.ebuild
new file mode 100644
index 00000000000..18a2c3f5725
--- /dev/null
+++ b/dev-libs/libgit2/libgit2-1.3.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit cmake python-any-r1
+
+DESCRIPTION="A linkable library for Git"
+HOMEPAGE="https://libgit2.org";
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S=${WORKDIR}/${P/_/-}
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~ppc-macos"
+IUSE="examples gssapi +ssh test +threads trace"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-libs/libpcre:=
+       net-libs/http-parser:=
+       sys-libs/zlib
+       dev-libs/openssl:0=
+       gssapi? ( virtual/krb5 )
+       ssh? ( net-libs/libssh2 )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       ${PYTHON_DEPS}
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       cmake_src_prepare
+       # relying on forked http-parser to support some obscure URI form
+       sed -i -e '/empty_port/s:test:_&:' tests/network/url/parse.c || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_CLAR=$(usex test)
+               -DENABLE_TRACE=$(usex trace ON OFF)
+               -DUSE_GSSAPI=$(usex gssapi ON OFF)
+               -DUSE_SSH=$(usex ssh)
+               -DTHREADSAFE=$(usex threads)
+               -DUSE_HTTP_PARSER=system
+       )
+       cmake_src_configure
+}
+
+src_test() {
+       if [[ ${EUID} -eq 0 ]] ; then
+               # repo::iterator::fs_preserves_error fails if run as root
+               # since root can still access dirs with 0000 perms
+               ewarn "Skipping tests: non-root privileges are required for all 
tests to pass"
+       else
+               local TEST_VERBOSE=1
+               cmake_src_test -R offline
+       fi
+}
+
+src_install() {
+       cmake_src_install
+       dodoc docs/*.{md,txt}
+
+       if use examples ; then
+               find examples -name '.gitignore' -delete || die
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

Reply via email to